<!DOCTYPE html>
<html lang="en" class="dark">
  <?php include("partials/head.php");?>
  
  <body x-data="" x-bind="$store.global.documentBody" class="is-header-blur navigation:horizontal"> <script>
        document.addEventListener("DOMContentLoaded", function () {
            const body = document.body;
            const imageUrl = 'templates/default/images/<?php echo $designdata["imagen_principal"]; ?>';
            
            if ('IntersectionObserver' in window) {
                const observer = new IntersectionObserver((entries, observer) => {
                    entries.forEach(entry => {
                        if (entry.isIntersecting) {
                            body.style.backgroundImage = `url(${imageUrl})`;
                            body.classList.add('loaded');
                            observer.unobserve(body);
                        }
                    });
                });

                observer.observe(body);
            } else {
                // Fallback for browsers that don't support IntersectionObserver
                body.style.backgroundImage = `url(${imageUrl})`;
                body.classList.add('loaded');
            }
        });
    </script>
    <?php include("partials/preloader.php");?>
    <div id="root" class="min-h-100vh flex grow bg-slate-50 dark:bg-navy-900" x-cloak="">
     
	 <?php include("partials/nav.php");?>
	 
      <!-- Main Content Wrapper -->
      <main class="main-content w-full pb-12" style="margin-top:5%">
      <div align="center"><img src="style/images/<?php echo $config['landing']['logo'];?>" style="margin-top:30px;width:<?php echo $designdata['width_logo'];?>;height:<?php echo $designdata['height_logo'];?>"></div>
        <div class="items-center space-x-4 py-5 lg:py-6">
            <div class="mt-4 grid grid-cols-12 gap-4 px-[var(--margin-x)] transition-all duration-[.25s] sm:mt-5 sm:gap-5 lg:mt-6 lg:gap-6">

        <div class="col-span-12 lg:col-span-8">
      <div
    x-init="$nextTick(()=>$el._x_swiper = new Swiper($el, {scrollbar: {el: '.swiper-scrollbar',draggable: true}, navigation: {prevEl: '.swiper-button-prev',nextEl: '.swiper-button-next'},autoplay: {delay: 4000}}))"
    class="swiper rounded-lg" style="width:100%;height:auto;max-height:357px"
  >
    <div class="swiper-wrapper">
      <div class="swiper-slide">
        <img
          class="h-full w-full"
          src="style/images/banner1.jpg"
          alt=""
          style="max-height:380px"
        />
      </div>
      <div class="swiper-slide">
        <img
          class="h-full w-full"
          src="style/images/banner2.jpg"
          alt=""
          style="max-height:380px"
        />
      </div>
      <div class="swiper-slide">
        <img
          class="h-full w-full"
          src="style/images/banner3.jpg"
          alt=""
          style="max-height:380px"
        />
      </div>
      <div class="swiper-slide">
        <img
          class="h-full w-full"
          src="style/images/banner4.jpg"
          alt=""
          style="max-height:380px"
        />
      </div>
    </div>
    <div class="swiper-scrollbar"></div>
    <div class="swiper-button-next"></div>
    <div class="swiper-button-prev"></div>
  </div> 
  <br>
  <div class="grid grid-cols-1 gap-3 sm:grid-cols-3 sm:gap-5 lg:grid-cols-3">
  <div x-data="{showModal:false}">
      <a href="download">
  <div class="card p-4 sm:p-5 text-center" style="background-image:url(style/images/download.png);background-size:cover;cursor:pointer" id="hovers">
                <div class="flex h-12 w-12 items-center justify-center rounded-xl bg-success shadow-xl shadow-success/50">
                  <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6 text-white" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 16v1a3 3 0 003 3h10a3 3 0 003-3v-1m-4-4l-4 4m0 0l-4-4m4 4V4"></path>
                  </svg>
                </div>
                <p ><?php echo $language['landing']['descargar'];?></p>
                <p class="mt-2 font-medium text-slate-700 dark:text-navy-100">
                  <span class="text-2xl">500</span><span class="text-base">mb</span>
                </p>
              </div>
              </a>
  </div>
  <a href="registro">
<div class="card p-4 sm:p-5 text-center" style="background-image:url(style/images/register.png);background-size:cover">
                <div class="flex h-12 w-12 items-center justify-center rounded-xl bg-warning shadow-xl shadow-warning/50">
                  <i class="fa fa-user-plus" style="color:white"></i>
                </div>
                <p style="color:white;text-shadow: 2px 1px black;"><?php echo $language['landing']['registrarc'];?></p>
                <p class="mt-2 font-medium text-slate-700 dark:text-navy-100">
                  <span class="text-2xl" style="color:white;text-shadow: 2px 2px black;"><?php echo $language['landing']['gratis'];?>!</span>
                </p>
              </div>
</a>
              <a href="rankings">
<div class="card p-4 sm:p-5 text-center" style="background-image:url(style/images/rankings.png);background-size:cover;cursor:pointer">
                <div class="flex h-12 w-12 items-center justify-center rounded-xl bg-primary shadow-xl shadow-primary/50">
                  <i class="fa fa-trophy" style="color:white"></i>
                </div>
                <p style="color:white;text-shadow: 2px 1px black;">RANKINGS</p>
                <p class="mt-2 font-medium text-slate-700 dark:text-navy-100">
                  <span class="text-2xl" style="color:white;text-shadow: 2px 2px black;">THE BEST</span>
                </p>
              </div></a>

</div>
<br>
  <div class="card p-4 lg:p-6">
              
              <!-- Blog Post -->
              <div class="mt-6 font-inter text-base text-slate-600 dark:text-navy-200">
                <h1 class="text-xl font-medium text-slate-900 dark:text-navy-50 lg:text-2xl" style="text-shadow: 2px 2px black;">
                🔥 <?php echo $language['landing']['ultimanot'];?>
                </h1>
                <br>
               <?php
           $rank = 0;
                        foreach ($news_php as $key => $value) {
                            $rank++;
                        if($value['tipo'] == 'Anuncio'){
                            $tipe = '<span class="badge bg-label-danger me-1">Anuncio</span>';
                        }
                        if($value['tipo'] == 'Changelog'){
                            $tipe = '<span class="badge bg-label-info me-1">Changelog</span>';
                        }
                        if($value['tipo'] == 'Update'){
                            $tipe = '<span class="badge bg-label-primary me-1">Update</span>';
                        }
                        if($value['tipo'] == 'Promo'){
                            $tipe = '<span class="badge bg-label-warning me-1">Promo</span>';
                        }
                        if($value['tipo'] == 'Actualizacion'){
                            $tipe = '<span class="badge bg-label-success me-1">Actualizacion</span>';
                        }
                        ?>
                        <?php if($config['landing']['noticia'] == '1'){ ?>
    <p style="font-size:17px">
        <table class="table table-striped">
            <tr>
                <td style="width:8%"><?php echo $tipe;?></td>
                <td style="width:70%"><a href="news/<?php echo $value['id'];?>"><?php echo $value['titulo'];?></a></td>
                <td><?php echo $value['fecha'];?></td>
            </tr>
        </table>
     </p>
     <?php } ?>
     <?php if($config['landing']['noticia'] == '2'){ ?>
     <p style="font-size:17px">
        <table class="table table-striped">
            <tr>
                <td style="background-color:black;border-radius:5px"><img src="style/images/noticias/<?php echo $value['imagen'];?>" style="width:100%;height:150px"></td>
                <td style="width:70%"><div  style="padding:15px"><?php echo $tipe;?> <?php echo $value['titulo'];?><br><hr><p style="margin-top:5px"><?php echo $value['noticia'];?></p></div></td>
            </tr>
        </table>
     </p>
     
     <hr>
     <br>
     <?php } ?>
     <?php if($config['landing']['noticia'] == '3'){
     $nn_n = strip_tags($value['noticia'], '< >');
        $aMostrar=substr($nn_n, 0, 275); 
        $aMostrar.="...";
        
        ?>
         <p style="font-size:17px">
        <table class="table table-striped">
            <tr>
                <td style="background-color:black;border-radius:5px"><img src="style/images/noticias/<?php echo $value['imagen'];?>" style="width:100%;height:150px"></td>
                <td style="width:70%"><div  style="padding:15px"><?php echo $tipe;?> <?php echo $value['titulo'];?><br><hr><p style="margin-top:5px"><?php echo $aMostrar;?></p><br><br><a href="news/<?php echo $value['id'];?>" class="btn btn-info" style="float:right">Read more</a></div></td>
            </tr>
        </table>
     </p>
    
     <?php } ?>
     <?php } ?>
              </div>
            </div>
            <br>
            <div class="flex flex-col rounded-xl bg-info/10 py-5 dark:bg-navy-800 lg:flex-row">
            <div class="flex flex-col px-4 sm:px-5 lg:w-65 lg:shrink-0 lg:py-3" align="center">
              <div align="center"><img src="style/images/WARRIOR.png" style="width:50%" align="center"></div>
              <h3 class="text-base font-medium tracking-wide text-slate-700 line-clamp-1 dark:text-navy-100 lg:text-lg">
              <?php echo $language['landing']['unete'];?>
              </h3>
              <p class="mt-3 grow">
              <?php echo $language['landing']['enc'];?>
              </p>
            </div>
            <div class="scrollbar-sm mt-5 flex space-x-4 overflow-x-auto px-4 sm:px-5 lg:mt-0 lg:pl-0">
              <div class="flex w-36 shrink-0 flex-col items-center">
                <img class="z-10 h-10 w-10" src="style/images/logos/instagram-round.svg" alt="flag">

                <div class="card -mt-5 w-full rounded-2xl px-3 py-5 text-center">
                  <p class="mt-3 text-base font-medium text-slate-700 dark:text-navy-100">
                    Instagram
                  </p>
                  <a class="mt-1 font-inter text-xs+ tracking-wide text-slate-400 hover:text-primary focus:text-primary dark:hover:text-accent-light dark:focus:text-accent-light">@<?php echo $config[nombre_server];?>
                  </a>
                  <div class="mt-6 flex justify-center space-x-1 font-inter">
                  <a href="<?php echo $config[landing][instagram];?>" target="_blank"
    class="btn border border-slate-300 font-medium text-slate-800 hover:bg-slate-150 focus:bg-slate-150 active:bg-slate-150/80 dark:border-navy-450 dark:text-navy-50 dark:hover:bg-navy-500 dark:focus:bg-navy-500 dark:active:bg-navy-500/90"
  >
   <i class="fa fa-thumbs-up"></i>
                </a>
                  </div>
                </div>
              </div>
              <div class="flex w-36 shrink-0 flex-col items-center">
                <img class="z-10 h-10 w-10" src="style/images/logos/facebook-round.svg" alt="flag">

                <div class="card -mt-5 w-full rounded-2xl px-3 py-5 text-center">
                  <p class="mt-3 text-base font-medium text-slate-700 dark:text-navy-100">
                    Facebook
                  </p>
                  <a class="mt-1 font-inter text-xs+ tracking-wide text-slate-400 hover:text-primary focus:text-primary dark:hover:text-accent-light dark:focus:text-accent-light">@<?php echo $config[nombre_server];?>
                  </a>
                  <div class="mt-6 flex justify-center space-x-1 font-inter">
                  <a href="<?php echo $config[landing][facebook];?>" target="_blank"
    class="btn border border-slate-300 font-medium text-slate-800 hover:bg-slate-150 focus:bg-slate-150 active:bg-slate-150/80 dark:border-navy-450 dark:text-navy-50 dark:hover:bg-navy-500 dark:focus:bg-navy-500 dark:active:bg-navy-500/90"
  >
   <i class="fa fa-thumbs-up"></i>
                </a>
                  </div>
                </div>
              </div>
              <div class="flex w-36 shrink-0 flex-col items-center">
                <img class="z-10 h-10 w-10" src="style/images/logos/discord-round.svg" alt="flag">

                <div class="card -mt-5 w-full rounded-2xl px-3 py-5 text-center">
                  <p class="mt-3 text-base font-medium text-slate-700 dark:text-navy-100">
                    Discord
                  </p>
                  <a class="mt-1 font-inter text-xs+ tracking-wide text-slate-400 hover:text-primary focus:text-primary dark:hover:text-accent-light dark:focus:text-accent-light">@<?php echo $config[nombre_server];?>
                  </a>
                  <div class="mt-6 flex justify-center space-x-1 font-inter">
                  <a href="<?php echo $config[landing][discord];?>" target="_blank"
    class="btn border border-slate-300 font-medium text-slate-800 hover:bg-slate-150 focus:bg-slate-150 active:bg-slate-150/80 dark:border-navy-450 dark:text-navy-50 dark:hover:bg-navy-500 dark:focus:bg-navy-500 dark:active:bg-navy-500/90"
  >
   <i class="fa fa-thumbs-up"></i>
                </a>
                  </div>
                </div>
              </div>
              <div class="flex w-36 shrink-0 flex-col items-center">
                <img class="z-10 h-10 w-10" src="style/images/logos/youtube-round.svg" alt="flag">

                <div class="card -mt-5 w-full rounded-2xl px-3 py-5 text-center">
                  <p class="mt-3 text-base font-medium text-slate-700 dark:text-navy-100">
                    Youtube
                  </p>
                  <a class="mt-1 font-inter text-xs+ tracking-wide text-slate-400 hover:text-primary focus:text-primary dark:hover:text-accent-light dark:focus:text-accent-light">@<?php echo $config[nombre_server];?>
                  </a>
                  <div class="mt-6 flex justify-center space-x-1 font-inter">
                  <a href="<?php echo $config[landing][youtube];?>" target="_blank"
    class="btn border border-slate-300 font-medium text-slate-800 hover:bg-slate-150 focus:bg-slate-150 active:bg-slate-150/80 dark:border-navy-450 dark:text-navy-50 dark:hover:bg-navy-500 dark:focus:bg-navy-500 dark:active:bg-navy-500/90"
  >
   <i class="fa fa-thumbs-up"></i>
                </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
</div>
    <div class="col-span-12 lg:col-span-4">
    <div class="card p-3">
                  <div class="flex items-center space-x-3">
                  <div class="mask is-star flex h-10 w-10 shrink-0 items-center justify-center bg-success">
                      <i class="fa fa-check" style="color:white"></i>
                    </div>
                    <div class="flex-1">
                      <div class="flex justify-between">
                        <p class="font-medium text-slate-700 dark:text-navy-100">
                          Server #1 ONLINE
                        </p>
                      </div>
                      <div class="mt-0.5 flex text-xs text-slate-400 dark:text-navy-300">
                        <p><i class="fa fa-users"></i> <?php echo $language['landing']['userson'];?>: <font color="lightgreen"><?php echo $info[UsersON]+$config[users_fake];?></font></p>
                        <div class="mx-2 my-1 hidden w-px bg-slate-200 dark:bg-navy-500 sm:flex"></div>

                        <p class="hidden sm:flex"><i class="fa fa-users"></i> <?php echo $language['landing']['conx'];?>: <font color="lightgreen" style="margin-left:3px"> <?php echo $info[ConexionesHoy]+$config[users_fake];?></font></p>
                      </div>
                    </div>
                  </div>
                  <p class="-mt-3 text-right text-xs font-medium text-primary dark:text-accent-light">
                  <?php echo round(($info[UsersON]+$config[users_fake])*100/$config[maximum_online]);?>%
                  </p>
                  <div class="progress mt-2 h-1.5 bg-slate-150 dark:bg-navy-500">
                    <div class="is-active relative w-4/12 overflow-hidden rounded-full bg-success dark:bg-success" style="width:<?php echo round(($info[UsersON]+$config[users_fake])*100/$config[maximum_online]);?>%"></div>
                  </div>
                  <div class="card px-4 pb-4 sm:px-5">
                <div class="my-3 flex h-8 items-center justify-between">
                  <h2 class="font-medium tracking-wide text-slate-700 line-clamp-1 dark:text-navy-100">
                  <?php echo $language['landing']['infs'];?> <a href="info" class="badge bg-primary text-white dark:bg-accent">+</a>
                  </h2>
                </div>
                <div class="space-y-4">
                  <div class="flex cursor-pointer items-center justify-between space-x-2">
                    <div class="flex items-center space-x-3">
                      <div class="avatar">
                      <div class="mask is-star flex h-10 w-10 shrink-0 items-center justify-center bg-warning">
                      <svg class="h-5 w-5 text-white" viewBox="0 0 24 24" fill="none" stroke="currentColor" xmlns="http://www.w3.org/2000/svg">
                        <path d="M12.5293 18L20.9999 8.40002" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                        <path d="M3 13.2L7.23529 18L17.8235 6" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                      </svg>
                    </div>
                      </div>
                      <div>
                        <div class="flex items-center space-x-2">
                          <p class="font-medium text-slate-700 dark:text-navy-100">
                           Version: <?php echo $config[server_info_season];?>
                          </p>
                          <div class="flex h-4.5 min-w-[1.125rem] items-center justify-center rounded-full bg-slate-200 px-1.5 text-tiny+ font-medium leading-none text-slate-800 dark:bg-navy-450 dark:text-white">
                          Premium
                          </div>
                        </div>
                        <p class="text-xs text-slate-400 line-clamp-1 dark:text-navy-300">
                          <?php echo $language['landing']['info1'];?>
                        </p>
                      </div>
                    </div>
                    <a class="hover:text-primary focus:text-primary dark:hover:text-accent-light dark:focus:text-accent-light">
                      <i class="fa fa-info-circle"></i>
                    </a>
                  </div>
                  <div class="flex cursor-pointer items-center justify-between space-x-2">
                    <div class="flex items-center space-x-3">
                      <div class="avatar">
                      <div class="mask is-star flex h-10 w-10 shrink-0 items-center justify-center bg-info">
                      <i class="fa fa-refresh" style="color:white"></i>
                    </div>
                      </div>
                      <div>
                        <p class="font-medium text-slate-700 dark:text-navy-100">
                        <?php echo $language['landing']['exp'];?>: <?php echo $config[server_info_exp];?>
                        </p>
                        <p class="text-xs text-slate-400 line-clamp-1 dark:text-navy-300">
                          Reset level: <?php echo $config[reset_level];?> & <?php echo $config[resets_points];?> <?php echo $language['landing']['info2'];?>.
                        </p>
                      </div>
                    </div>
                    <a class="hover:text-primary focus:text-primary dark:hover:text-accent-light dark:focus:text-accent-light">
                      <i class="fa fa-info-circle"></i>
                    </a>
                  </div>
                  <div class="flex cursor-pointer items-center justify-between space-x-2">
                    <div class="flex items-center space-x-3">
                      <div class="avatar">
                      <div class="mask is-star flex h-10 w-10 shrink-0 items-center justify-center bg-secondary">
                      <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 text-white" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M18.364 5.636l-3.536 3.536m0 5.656l3.536 3.536M9.172 9.172L5.636 5.636m3.536 9.192l-3.536 3.536M21 12a9 9 0 11-18 0 9 9 0 0118 0zm-5 0a4 4 0 11-8 0 4 4 0 018 0z"></path>
                      </svg>
                    </div>
                      </div>
                      <div>
                        <p class="font-medium text-slate-700 dark:text-navy-100">
                          Server Drop: <?php echo $config[server_info_drop];?>
                        </p>
                        <p class="text-xs text-slate-400 line-clamp-1 dark:text-navy-300">
                        <?php echo $language['landing']['info3'];?> <?php echo $config[max_stats];?> <?php echo $language['chars']['puntos'];?>
                        </p>
                      </div>
                    </div>
                    <a class="hover:text-primary focus:text-primary dark:hover:text-accent-light dark:focus:text-accent-light">
                      <i class="fa fa-info-circle"></i>
                    </a>
                  </div>
                  <div class="flex cursor-pointer items-center justify-between space-x-2">
                    <div class="flex items-center space-x-3">
                      <div class="avatar">
                      <div class="mask is-star flex h-10 w-10 shrink-0 items-center justify-center bg-primary">
                      <i class="fa fa-refresh" style="color:white"></i>
                    </div>
                      </div>
                      <div>
                        <p class="font-medium text-slate-700 dark:text-navy-100">
                        <?php echo $language['landing']['exp'];?> Master: <?php echo $config[server_info_masterexp];?>
                        </p>
                        <p class="text-xs text-slate-400 line-clamp-1 dark:text-navy-300">
                        <?php echo $language['landing']['obt'];?> <?php echo $config[mresets_points];?> <?php echo $language['landing']['obt2'];?>
                        </p>
                      </div>
                    </div>
                    <a class="hover:text-primary focus:text-primary dark:hover:text-accent-light dark:focus:text-accent-light">
                      <i class="fa fa-info-circle"></i>
                    </a>
                  </div>
                </div>
              </div>
              <a href="info" class="badge bg-primary text-white dark:bg-accent" style="width:100%"><?php echo $language['info']['c8'];?></a>
                </div>
                <br>
              <div class="flex h-8 items-center justify-between">
                  <h1 class="text-xl font-medium text-slate-900 dark:text-navy-50 lg:text-2xl" style="margin-left:10px;text-shadow: 2px 2px black;margin-bottom:14px">
                  🏰 Castle Siege
                  </h1>
                </div>
              <div class="card p-2.5">
                <div class="flex justify-between space-x-2">
                  <div class="flex flex-1 flex-col justify-between">
                    <div>
                      <a href="guild/<?php echo $info[GuildOwner];?>" class="font-medium text-slate-700 outline-none transition-colors line-clamp-2 hover:text-primary focus:text-primary dark:text-navy-100 dark:hover:text-accent-light dark:focus:text-accent-light"><h1 class="text-xl font-medium text-slate-900 dark:text-navy-50 lg:text-2xl" style="text-shadow: 2px 2px black;">
                      🏆 <?php if($info[GuildOwner] == ''){ echo 'SIN DUEÑO'; }else{ echo strtoupper($info[GuildOwner]); };?>
                </h1></a>
                      <a href="perfil/<?php echo $info[GuildMaster];?>" class="text-xs text-slate-400 hover:text-slate-800 dark:text-navy-300 dark:hover:text-navy-100" style="margin-left:30px">🦹‍♂️ GM: <?php echo $info[GuildMaster];?></a>
                    </div>
                    <?php
                    	$dayc = date("l");
                      $horan = date('H');
                      if($dayc == 'Sunday' and $horan < 21){
                          $nextTuesday = strtotime("now");
                      }else{
                $nextTuesday = strtotime('next sunday');
                }
                $weekNo = date('d,m,Y,H,i',$nextTuesday);
                 $efecha = explode(",",$weekNo);
                 switch ($dayc) {
                    case "Sunday":
                        $etapa = "Dia de Batalla";
                    break;
                    case "Monday":
                         $etapa = "Anuncio de Clanes";
                    break;
                    case "Tuesday":
                           $etapa = "Anuncio de Clanes";
                    break;
                    case "Wednesday":
                          $etapa = "Registro de Signos";
                    break;
                    case "Thursday":
                           $etapa = "Registro de Signos";
                    break;
                    case "Friday":
                           $etapa = "Registro de Signos";
                    break;
                    case "Saturday":
                           $etapa = "Lista de Clanes Atacantes";
                    break;
                }
                ?>
                <?php if($config[castlesiege_active] == 0){ echo '  <div class="flex items-center space-x-2 text-xs"><div class="flex shrink-0 items-center space-x-1"><p>El castle siege se encuentra inactivo aun.</p></div></div>'; }else{ ?>
                    <div class="flex items-center space-x-2 text-xs">
                      <div class="flex shrink-0 items-center space-x-1">
                        <p><div class="badge space-x-2.5 rounded-full bg-primary/10 text-primary dark:bg-accent-light/15 dark:text-accent-light">
                        <svg xmlns="http://www.w3.org/2000/svg" class="h-4.5 w-4.5 text-slate-400 dark:text-navy-300" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                          <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 8v4l3 3m6-3a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                        </svg> <?php echo $language['landing']['prox'];?>: <span id="timer2"></span></div></p>
                      </div>
                      <div class="mx-2 my-1 w-px self-stretch bg-slate-200 dark:bg-navy-500"></div>
                      <span class="line-clamp-1"><?php echo $etapa;?></span>
                    </div><?php } ?>
                  </div>  
                  <img class="h-24 w-24 rounded-lg object-cover" src="style/images/logo.php?decode=<?php echo $info['GuildMark'];?>.png" alt="image">
                </div>
              </div>
              <br>
                <div class="sm:col-span-2 lg:col-span-1" style="margin-top:5px">
                <div class="flex h-8 items-center justify-between">
                <h1 class="text-xl font-medium text-slate-900 dark:text-navy-50 lg:text-2xl" style="margin-left:10px;text-shadow: 2px 2px black;">
                🎇 <?php echo $language['landing']['prox'];?>s <?php echo $language['landing']['eventos'];?>
                  </h1>
                </div>
                <div class="mt-3 grid grid-cols-1 gap-4 sm:grid-cols-2 sm:gap-x-5 lg:grid-cols-1">
                <script type="text/javascript">
//EVENTOS
var Events = {};

Events.text = [
	['<font color="lightgreen"><i class="fa fa-clock"></i> <?php echo $language['landing']['inicia'];?>:</font> ', '<font color="lightgreen"><i class="fa fa-clock"></i> <?php echo $language['landing']['inicia'];?>:</font>'],
	['<font color="pink"><i class="fa fa-clock"></i> <?php echo $language['landing']['prox'];?>:</font> ', '<font color="pink"><i class="fa fa-clock"></i> <?php echo $language['landing']['prox'];?>:</font>']
];

Events.sked = [
    <? 
    $z = 0;
    foreach($events as $evn){
      $z++;
      ?>
	['<strong><? echo $evn['Evento'];?></strong>', 0, <? echo $evn['Horarios'];?>],
	<? } ?>
];

Events.init = function(e) 
{
	if (typeof e == "string") var g = new Date(new Date().toString().replace(/\d+:\d+:\d+/g, e));
	
	var f = (typeof e == "number" ? e : (g.getHours() * 60 + g.getMinutes()) * 60 + g.getSeconds()),
		q = Events.sked,
		j = [];
		
	for (var a = 0; a < q.length; a++)
	{
		var n = q[a];
		for (var k = 2; k < q[a].length; k++)
		{
			var b = 0,
				p = q[a][k].split(":"),
				o = (p[0] * 60 + p[1] * 1) * 60,
				c = q[a][2].split(":");
				
			if (q[a].length - 1 == k && (o - f) < 0) b = 1;
			
			var r = b ? (1440 * 60 - f) + ((c[0] * 60 + c[1] * 1) * 60) : o - f;
			
			if (f <= o || b) 
			{
				var l = Math.floor((r / 60) / 60),
					l = l < 10 ? "0" + l : l,
					d = Math.floor((r / 60) % 60),
					d = d < 10 ? "0" + d : d,
					u = r % 60,
					u = u < 10 ? "0" + u : u;
				j.push('<div class="card p-3" style="margin-bottom:10px"><div class="flex items-center justify-between space-x-2"><div class="flex items-center space-x-3" style="margin-right:20px">✨<div><p class="font-medium text-slate-700 line-clamp-1 dark:text-navy-100" style="margin-left:10px">' + n[0] + '</p><p class="mt-0.5 text-xs text-slate-400 line-clamp-1 dark:text-navy-300"></div></div><div class="relative cursor-pointer">' + (Events.text[q[a][1]][+(l == 0 && d < (q[a][1] ? 1 : 5))])  + (l + ":" + d + ":" + u) + '</div></div></div>');
				break;
			};
		};
	};
	document.getElementById("events").innerHTML = j.join("");
	
	setTimeout(function() 
	{
		Events.init(f == 86400 ? 1 : ++f);
	}, 1000);
};

jQuery(document).ready(function($) 
{
	
	hh = <?=date('H')?>, mm = <?=date('i')?>, ss = <?=date('s')?>;
	
	if (hh >= 24) 
	{
		hh = hh - 24;
	}
	
	if (hh <= 9) 
	{
		hh = "0" + hh;
	}
	
	if (mm <= 9) 
	{
		mm = "0" + mm;
	}
	
	if (ss <= 9) 
	{
		ss = "0" + ss;
	}
	
	Events.init(hh + ":" + mm + ":" + ss);
});
</script>
<div id="events" align="center"></div>
                  
                  
                </div>
              </div>
              <br>
              <div class="grid grid-cols-2 gap-3 sm:grid-cols-3 sm:gap-5 lg:grid-cols-2">
              <div class="rounded-lg bg-slate-150 p-4 dark:bg-navy-700">
                <div class="flex justify-between space-x-1">
                  <p class="text-xl font-semibold text-slate-700 dark:text-navy-100">
                    <?php echo $info['Registrados']+$config['registro_fake'];?>
                  </p>
                  <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 text-error" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M12 4.354a4 4 0 110 5.292M15 21H3v-1a6 6 0 0112 0v1zm0 0h6v-1a6 6 0 00-9-5.197M13 7a4 4 0 11-8 0 4 4 0 018 0z"></path>
                  </svg>
                </div>
                <p class="mt-1 text-xs+">Total <?php echo $language['landing']['registrados'];?></p>
              </div>
              <div class="rounded-lg bg-slate-150 p-4 dark:bg-navy-700">
                <div class="flex justify-between space-x-1">
                  <p class="text-xl font-semibold text-slate-700 dark:text-navy-100">
                    <?php echo $info[Guilds];?>
                  </p>
                  <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 text-success" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M9 12l2 2 4-4M7.835 4.697a3.42 3.42 0 001.946-.806 3.42 3.42 0 014.438 0 3.42 3.42 0 001.946.806 3.42 3.42 0 013.138 3.138 3.42 3.42 0 00.806 1.946 3.42 3.42 0 010 4.438 3.42 3.42 0 00-.806 1.946 3.42 3.42 0 01-3.138 3.138 3.42 3.42 0 00-1.946.806 3.42 3.42 0 01-4.438 0 3.42 3.42 0 00-1.946-.806 3.42 3.42 0 01-3.138-3.138 3.42 3.42 0 00-.806-1.946 3.42 3.42 0 010-4.438 3.42 3.42 0 00.806-1.946 3.42 3.42 0 013.138-3.138z"></path>
                  </svg>
                </div>
                <p class="mt-1 text-xs+">Total Guilds</p>
              </div>
              <div class="rounded-lg bg-slate-150 p-4 dark:bg-navy-700">
                <div class="flex justify-between space-x-1">
                  <p class="text-xl font-semibold text-slate-700 dark:text-navy-100">
                    <?php echo $info[Personajes];?>
                  </p>
                 <i class="fa fa-user" style="color:lightblue"></i>
                </div>
                <p class="mt-1 text-xs+">Total <?php echo $language['landing']['pjs'];?></p>
              </div>
              <a href="<?php echo $config[landing][whatsapp];?>" target="_blank" <div class="rounded-lg bg-slate-150 p-4 dark:bg-navy-700" style="background-image:url(https://img.freepik.com/fotos-premium/emoji-whatsapp-sobre-fondo-verde-simbolo-globo-redes-sociales-patron-iconos-whatsapp_41204-1552.jpg);background-size:contain">
                <div class="flex justify-between space-x-1">
                <h1 class="text-xl font-medium text-slate-900 dark:text-navy-50 lg:text-2xl" style="margin-left:10px;text-shadow: 2px 2px black;">
                Whatsapp!
                  </h1>
              </div></a>

</div>
</div>
</div>

    </div>
    </div>
    <div class="badge rounded-full border border-slate-300 text-slate-800 dark:border-navy-450 dark:text-navy-50" style="position:relative;bottom:10px;left:45%" align="center">Powered by <a href="https://tpdevs.com/zmuweb" style="margin-left:5px">zMUWEB v1.0</a></div>
	
    <div id="x-teleport-target"></div>
    <script>
      window.addEventListener("DOMContentLoaded", () => Alpine.start());
    </script>
	<script src="ajax/responses.js"></script>
  </body>
    <script>
	  $('#notification2').delay(6000).fadeOut('slow');
    $('#notification3').delay(6000).fadeOut('slow');
	  </script>
    <?php 
    $countdw = date('F j, Y',$nextTuesday);
    ?>
    <script>
      function updateTimer2() {
  future2  = Date.parse("<?php echo $countdw.' '.$config[horario_cs];?>");
  now2     = new Date();
  diff2    = future2 - now2;

  days2  = Math.floor( diff2 / (1000*60*60*24) );
  hours2 = Math.floor( diff2 / (1000*60*60) );
  mins2  = Math.floor( diff2 / (1000*60) );
  secs2  = Math.floor( diff2 / 1000 );

  d2 = days2;
  h2 = hours2 - days2  * 24;
  m2 = mins2  - hours2 * 60;
  s2 = secs2  - mins2  * 60;

  document.getElementById("timer2")
    .innerHTML =
      '' + d2 + '<span>d ' +
      '' + h2 + 'h ' +
      '' + m2 + 'm ' +
      '' + s2 + 's ' ;
}
setInterval('updateTimer2()', 1000 );
</script>
</html>
