<?php
function deleteDir($path) {
    return is_file($path) ?
            @unlink($path) :
            array_map(__FUNCTION__, glob($path.'/*')) == @rmdir($path);
}
?>
<!DOCTYPE html>
<html lang="en" class="dark">
  <head>
    <!-- Meta tags  -->
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <title>ZMUWEB INSTALLER</title>
    <link rel="icon" type="image/png" href="../style/images/zmuweb.png">
    <link rel="stylesheet" href="../style/css/app.css">
    <script src="../style/js/app.js" defer=""></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin="">
    <link href="css2?family=Inter:wght@400;500;600;700&family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap" rel="stylesheet">
    <script>
      localStorage.getItem("_x_darkMode_on") === "true" &&
        document.documentElement.classList.add("dark");
    </script>
    <style>
        .dark .card {
    --tw-shadow: 0 0 #0000;
    --tw-shadow-colored: 0 0 #0000;
    background-color: #000000ad;
    color: #a3adc2;
}
    </style>
  </head>
  <body x-data="" class="is-header-blur" x-bind="$store.global.documentBody">
    <div class="app-preloader fixed z-50 grid h-full w-full place-content-center bg-slate-50 dark:bg-navy-900">
      <div class="app-preloader-inner relative inline-block h-48 w-48"></div>
    </div>
    <div id="root" class="min-h-100vh flex grow bg-slate-50 dark:bg-navy-900" x-cloak="">
      <main class="w-full grow grid-cols-1 place-items-center" align="center" style="
    background-image: url(../style/images/20380099.jpg);
    background-size: cover;
    background
">
        <img src="../style/images/zmuweb.png" style="width:350px;display:initial">
        
        <div>
            <?php if(isset($_POST['finalizar'])){
                echo deleteDir('../installer');
                header("location: ../index.php");
            }
            ?>
   <div class="grid grid-cols-12 gap-4 sm:gap-5 lg:gap-6">
          <div class="card col-span-12 grid lg:col-span-4 lg:place-items-center">
            <div>
              <ol class="steps is-vertical line-space [--size:2.75rem] [--line:.5rem]">
                <li class="step space-x-4 pb-12 before:bg-primary dark:before:bg-primary">
                  <div class="step-header mask is-hexagon bg-primary text-white dark:bg-accent">
                    <i class="fa-solid fa-layer-group text-base"></i>
                  </div>
                  <div class="text-left">
                    <p class="text-xs text-slate-400 dark:text-navy-300">
                      Step 1
                    </p>
                    <h3 class="text-base font-medium text-primary dark:text-accent-light">
                      Configurar Conexion
                    </h3>
                  </div>
                </li>
                <li class="step space-x-4 pb-12 before:bg-primary dark:before:bg-primary">
                  <div class="step-header mask is-hexagon bg-primary text-primary dark:bg-primary dark:text-navy-100">
                    <i class="fa-solid fa-list text-base"></i>
                  </div>
                  <div class="text-left">
                    <p class="text-xs text-slate-400 dark:text-navy-300">
                      Step 2
                    </p>
                    <h3 class="text-base font-medium text-primary dark:text-accent-light">Creando Tablas</h3>
                  </div>
                </li>
                <li class="step space-x-4 pb-12 before:bg-primary dark:before:bg-primary">
                  <div class="step-header mask is-hexagon bg-primary text-slate-500 dark:bg-primary dark:text-navy-100">
                    <i class="fa-solid fa-truck-fast text-base"></i>
                  </div>
                  <div class="text-left">
                    <p class="text-xs text-slate-400 dark:text-navy-300">
                      Step 3
                    </p>
                    <h3 class="text-base font-medium">Agregar Cron Job</h3>
                  </div>
                </li>
                <li class="step space-x-4 before:bg-primary dark:before:bg-primary">
                  <div class="step-header mask is-hexagon bg-primary text-slate-500 dark:bg-primary dark:text-navy-100">
                    <i class="fa-solid fa-check text-base"></i>
                  </div>
                  <div class="text-left">
                    <p class="text-xs text-slate-400 dark:text-navy-300">
                      Step 4
                    </p>
                    <h3 class="text-base font-medium">Finalizar Instalacion</h3>
                  </div>
                </li>
              </ol>
            </div>
          </div>
          <div class="col-span-12 grid lg:col-span-6">
            <div class="card">
              <div class="border-b border-slate-200 p-4 dark:border-navy-500 sm:px-5">
                <div class="flex items-center space-x-2">
                  <div class="flex h-7 w-7 items-center justify-center rounded-lg bg-primary/10 p-1 text-primary dark:bg-accent-light/10 dark:text-accent-light">
                    <i class="fa-solid fa-layer-group"></i>
                  </div>
                  <h4 class="text-lg font-medium text-slate-700 dark:text-navy-100">
                  Finalizar Instalacion
                  </h4>
                </div>
              </div>
              <div style="padding:40px">
                  <div class="flex flex-col">
                      <svg xmlns="http://www.w3.org/2000/svg" class="mx-auto inline h-28 w-28 shrink-0 text-success" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                      </svg>

                      <div class="mt-4">
                        <h2 class="text-2xl text-slate-700 dark:text-navy-100">
                          Instalacion Finalizada!
                        </h2>
                        <p class="mt-2">
                         Gracias por confiar en zMUWEB, esperamos que disfrute de nuestra CMS!. Recuerde precionar el boton debajo para eliminar install y visualizar el sitio.
                        </p>
                        <form method="post">
                             <button type="submit" name="finalizar" class="btn mt-6 bg-success font-medium text-white hover:bg-success-focus focus:bg-success-focus active:bg-success-focus/90">
                          CLICK AQUI PARA FINALIZAR INSTALACION
                        </button>
                        </form>
                       
                      </div>
  <br><br>
  
  </div>

             </div>
              
          </div>
        </div>
  </div>
      </main>
    </div>

    <div id="x-teleport-target"></div>
    <script>
      window.addEventListener("DOMContentLoaded", () => Alpine.start());
    </script>
  </body>
</html>
