var tooltipFile = $('script[src*=imperiamucms-tooltip]');
var assetsPath = tooltipFile.attr('data-assets');

var imperiamucmsTooltip = {
    fadeeffect: [true, 100], //enable Fade? [true/false, duration_milliseconds]
    useroffset: [10, 10], //additional x and y offset of tooltip from mouse cursor, respectively
    loadingHTML: '<div style="font-style:italic"><img src="' + assetsPath + 'images/loading.gif" /></div>',

    positiontip: function ($tooltip, e) {
        var docwidth = (window.innerWidth) ? window.innerWidth - 15 : imperiamucmsTooltip.iebody.clientWidth - 15
        var docheight = (window.innerHeight) ? window.innerHeight - 18 : imperiamucmsTooltip.iebody.clientHeight - 15
        var twidth = $tooltip.get(0).offsetWidth
        var theight = $tooltip.get(0).offsetHeight
        var tipx = e.pageX + this.useroffset[0]
        var tipy = e.pageY + this.useroffset[1]
        tipx = (e.clientX + twidth > docwidth) ? tipx - twidth - (2 * this.useroffset[0]) : tipx //account for right edge
        tipy = (e.clientY + theight > docheight) ? tipy - theight - (2 * this.useroffset[0]) : tipy //account for bottom edge
        $tooltip.css({left: tipx, top: tipy})
    },

    showtip: function ($tooltip, e) {
        if (this.fadeeffect[0])
            $tooltip.hide().fadeIn(this.fadeeffect[1])
        else
            $tooltip.show()
    },

    hidetip: function ($tooltip, e) {
        if (this.fadeeffect[0])
            $tooltip.fadeOut(this.fadeeffect[1])
        else
            $tooltip.hide()
    }
}

jQuery(document).ready(function() {
    generateItemTooltips()
})

function generateItemTooltips() {
    imperiamucmsTooltip.iebody = (document.compatMode && document.compatMode != "BackCompat") ? document.documentElement : document.body
    var tooltips = [] //array to contain references to all tooltip DIVs on the page
    $('*[title^="ajax:"]').each(function (index) { //find all links with "title=ajax:" declaration
        let timer;
        let hideTooltip = false
        this.titleurl = jQuery.trim(this.getAttribute('title').split(':')[1]) //get URL of external file
        this.titleposition = index + ' pos' //remember this tooltip DIV's position relative to its peers
        tooltips.push($('<div class="imperiamucms-item-tooltip"></div>').appendTo('body'))
        let $target = $(this)
        $target.removeAttr('title')
        $target.hover(
            function (e) { //onMouseover element
                var that = this;
                var $tooltip = tooltips[parseInt(that.titleposition)]
                if (!$tooltip.get(0).loadsuccess) { //first time fetching Ajax content for this tooltip?
                    timer = setTimeout(function() {
                        $tooltip.html(imperiamucmsTooltip.loadingHTML).show();
                        $tooltip.load(that.titleurl, '', function () {
                            if (!hideTooltip) {
                                imperiamucmsTooltip.positiontip($tooltip, e);
                                imperiamucmsTooltip.showtip($tooltip, e);
                            }
                            $tooltip.get(0).loadsuccess = true;
                        });
                    },500);
                } else {
                    imperiamucmsTooltip.positiontip($tooltip, e)
                    imperiamucmsTooltip.showtip($tooltip, e)
                }
            },
            function (e) { //onMouseout element
                clearTimeout(timer);
                var $tooltip = tooltips[parseInt(this.titleposition)]
                imperiamucmsTooltip.hidetip($tooltip, e)
            }
        )
        $target.bind("mousemove", function (e) {
            var $tooltip = tooltips[parseInt(this.titleposition)]
            imperiamucmsTooltip.positiontip($tooltip, e)
        })
        $target.bind("mouseout", function (e) {
            hideTooltip = true;
        })
    })
}